Name:           perl-File-KeePass
Version:        2.03
Release:        20%{?dist}
Summary:        Interface to KeePass V1 and V2 database files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-KeePass
Source0:        https://cpan.metacpan.org/authors/id/R/RH/RHANDOM/File-KeePass-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(Crypt::Rijndael) 
BuildRequires:  perl(Digest::SHA) 
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(Compress::Raw::Zlib)
Requires:       perl(Crypt::Rijndael) 
Requires:       perl(Digest::SHA) 
Requires:       perl(XML::Parser)
Requires:       perl(Compress::Raw::Zlib)
Requires:       perl(MIME::Base64)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
File::KeePass gives access to KeePass version 1 (kdb) and 
version 2 (kdbx) databases.

The version 1 and version 2 databases are very different 
in construction, but the majority of information overlaps 
and many algorithms are similar. File::KeePass attempts to 
iron out as many of the differences.

File::KeePass gives nearly raw data access. There are a few
 utility methods for manipulating groups and entries. More 
advanced manipulation can easily be layered on top by 
other modules.

File::KeePass is only used for reading and writing databases
and for keeping passwords scrambled while in memory. 
Programs dealing with UI or using of auto-type features are
the domain of other modules on CPAN. File::KeePass::Agent 
is one example.

%prep
%setup -q -n File-KeePass-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test


%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.03-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 2.03-19
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.03-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.03-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 2.03-16
- Perl 5.28 rebuild

* Sun Feb 18 2018 Charles R. Anderson <cra@wpi.edu> - 2.03-15
- remove Group: tag

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.03-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.03-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 2.03-12
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.03-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Dec 18 2016 Charles R. Anderson <cra@wpi.edu> - 2.03-10
- Add manual Requires for conditionally loaded modules (rhbz#1328327)

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 2.03-9
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.03-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.03-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.03-6
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.03-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 02 2013 Matias Kreder <delete@fedoraproject.org> 2.03-3
- Updated license information

* Thu Aug 29 2013 Matias Kreder <delete@fedoraproject.org> 2.03-2
- Updated .spec file according to BZ#1002321

* Wed Aug 28 2013 Matias Kreder <delete@fedoraproject.org> 2.03-1
- Specfile autogenerated by cpanspec 1.78.
